RESIZE2FS(8)

NOM
resize2fs - Redimensionner un système de fichiers ext2/ext3/ext4

SYNOPSIS
resize2fs [ -fFpPMbs ] [ -d drapeaux_débogage ] [ -S bande_RAID ] [ -z fichier_récupération ] périphérique [ taille ]

DESCRIPTION
Le programme resize2fs change la taille de systèmes de fichiers ext2, ext3 ou ext4. Il peut être utilisé pour augmenter ou réduire la taille d'un système de fichiers non monté indiqué par périphérique. Si le système de fichiers est monté, il peut augmenter la taille du système de fichiers en supposant que le noyau et le système de fichiers gèrent le changement de taille à chaud (les noyaux Linux 2.6 modernes permettent de ne changer la taille à chaud que pour les systèmes de fichiers ext3 et ext4. Les systèmes de fichiers ext3 nécessiteront l'activation de la fonctionnalité resize_inode).

Le paramètre taille indique la taille demandée du système de fichiers. Si aucune unité n'est précisée, l'unité du paramètre taille est la taille de bloc du système de fichiers. En option, le paramètre taille peut être suffixé d'un indicateur d'unité : « K », « M », « G » ou « T » (casse indifférenciée) ou « s » pour respectivement des kilooctets, mégaoctets, gigaoctets ou téraoctets (puissance de deux) ou des secteurs de 512 octets. La taille du système de fichiers ne devrait jamais être supérieure à la taille de la partition. Si le paramètre taille n'est pas utilisé, la taille par défaut est la taille de la partition.

Le programme resize2fs ne modifie pas la taille des partitions. Si vous voulez augmenter la taille d'un système de fichiers, vous devez dans un premier temps augmenter la taille de sa partition, ce qui peut être fait à l'aide de fdisk(8) en détruisant la partition et en en recréant une plus large ou en utilisant lvextend(8), si vous utilisez le gestionnaire de volumes logiques lvm(8). Quand vous recréez la partition, assurez-vous que vous la créez avec le même cylindre de début qu'avant ! Autrement, le redimensionnement ne fonctionnera probablement pas et vous pourriez perdre complètement le système de fichiers. Après avoir lancé fdisk(8), exécutez resize2fs pour changer la taille du système de fichiers ext2 pour utiliser toute la taille disponible sur la partition.

Si vous souhaitez réduire une partition ext2, utilisez d'abord resize2fs pour réduire la taille du système de fichiers. Vous pouvez ensuite utiliser fdisk(8) pour réduire la taille de la partition, en vous assurant de ne pas la rendre plus petite que la nouvelle taille du système de fichiers ext2 !

Les options -b et -s respectivement activent ou désactivent la fonctionnalité 64 bits. Le programme resize2fs fera bien évidemment attention à redimensionner les descripteurs de groupe de blocs et de déplacer les autres blocs de données ailleurs comme nécessaire. Il n’est pas possible de redimensionner le système de fichiers et de changer simultanément l’état 64 bits.

OPTIONS

-b  Activer la fonctionnalité 64 bits, redimensionner les descripteurs comme il faut et déplacer les autres métadonnées ailleurs.

-d drapeaux_débogage
    Activer différentes fonctionnalités de débogage de resize2fs, si elles ont été activées lors de la compilation du programme. drapeaux_débogage doit être calculé en ajoutant les nombres associés à chacune des fonctionnalités voulues dans la liste suivante :
      2    - Déboguer le déplacement des blocs
      4    - Déboguer le déplacement des inœuds
      8    - Déboguer le déplacement des tables d'inœuds
     16    - Afficher les informations d'horodatage
     32    - Déboguer le calcul de la taille minimale du système de fichiers (-M)

-f  Forcer resize2fs à poursuivre le changement de taille du système de fichiers en ignorant les vérifications de sécurité que resize2fs effectue normalement.

-F  Purger les caches de tampon du périphérique hébergeant le système de fichiers avant de commencer. Ce n'est vraiment utile que pour mesurer la vitesse de resize2fs.

-M  Réduire le système de fichiers pour minimiser sa taille autant que possible en tenant compte des fichiers enregistrés dans le système de fichiers.

-p  Afficher une barre de progression pour chaque phase de resize2fs lors d'un redimensionnement à froid (non négligeable) pour que l'utilisateur puisse suivre ce que le programme fait. (Pour des oprétations très rapide, il est possible qu'aucune barre de progression ne s'affiche.)

-P  Afficher une estimation du nombre de blocs de système de fichiers dans le système de fichiers si celui-ci est réduit en utilisant l’option -M de resize2fs et quitter.

-s  Activer la fonctionnalité 64 bits et libérer les blocs qui ne sont plus utilisés.

-S bande_RAID
    Le programme resize2fs déterminera par des heuristiques la bande RAID qui a été indiquée lors de la création du système de fichiers. Cette option permet à l'utilisateur d'indiquer explicitement la bande RAID que resize2fs doit utiliser.

-z fichier_annulations
    Avant d’écraser un bloc de système de fichiers, écrire le contenu du bloc dans un fichier de récupération. Ce fichier peut être utilisé par e2undo(8) pour restaurer l’ancien contenu du système de fichiers si quelque chose se déroule mal. Si une chaîne vide est fournie comme argument pour fichier_récupération, le fichier de récupération sera écrit sous le nom resize2fs-périphérique.e2undo dans le répertoire indiqué par la variable d’environnement E2FSPROGS_UNDO_DIR. AVERTISSEMENT : le fichier d’annulations ne peut pas être utilisé pour se remettre d'une coupure d'alimentation ou d'un plantage du système.

BOGUES CONNUS
La taille minimale du système de fichiers estimée par resize2fs peut ne pas être correcte, particulièrement pour les systèmes de fichiers avec une taille de bloc de 1 ko ou 2 ko.

AUTEUR
resize2fs a été écrit par Theodore Ts'o <tytso@mit.edu>.

COPYRIGHT
Le copyright (1998) de resize2fs appartient à Theodore Ts'o et PowerQuest, Inc. Tous droits réservés. Depuis avril 2000, resize2fs peut être redistribué sous les conditions de la GPL.

VOIR AUSSI
fdisk(8), e2fsck(8), mke2fs(8), lvm(8), lvextend(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com>, Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.